<?php
/**
 * Understrap enqueue scripts
 *
 * @package understrap
 */

if ( ! function_exists( 'understrap_scripts' ) ) {
	/**
	 * Load theme's JavaScript sources.
	 */
	function understrap_scripts() {
		// Get the theme data.
		$the_theme = wp_get_theme();
		wp_enqueue_style( 'understrap-styles', get_stylesheet_directory_uri() . '/css/theme.min.css', array(), $the_theme->get( 'Version' ) );

		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'sproutvideo', 'https://c.sproutvideo.com/player_api.js', array(), $the_theme->get( 'Version' ), true );
		wp_enqueue_script( 'understrap-scripts', get_template_directory_uri() . '/js/theme.min.js', array(), $the_theme->get( 'Version' ), true );
		
		wp_enqueue_script( 'react-dom', 'https://unpkg.com/react-dom@16.4.1/umd/react-dom.production.min.js', array(), $the_theme->get( '16.4.1' ), true );
		
		wp_enqueue_style( 'engagement-embed-styles', REACT_APP . 'static/css/main.css' );
		wp_enqueue_script( 'engagement-embed-scripts', REACT_APP . 'static/js/main.js' );
		
		wp_enqueue_style( 'fontawesome-css', 'https://use.fontawesome.com/releases/v5.6.3/css/all.css' );

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}
} // endif function_exists( 'understrap_scripts' ).

add_action( 'wp_enqueue_scripts', 'understrap_scripts' );
