<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package understrap
 */

?>

<section class="no-results not-found">
<?php
	global $wp_query;
	if( "event" == $wp_query->query['post_type'] ) {
		$event_id = explode("-", $wp_query->query["name"])[0];

		$response = wp_remote_get( API_ENDPOINT . '/public-event/' . $event_id );
		$body = wp_remote_retrieve_body( $response );
		$json = json_decode($body);
		?>
		<header class="page-header">
			<pre><?php // print_r($json->data->event); ?></pre>
			<div class="row">
				<div class="col-md-8 col-xs-12">
					<h1 class="post-title"><?php echo $json->data->event->name; ?></h1>
					<div class="event-details margin-bot-20">
						<?php if($json->data->event->venue) { ?><span><i class="fa fa-map-signs"></i>&nbsp;&nbsp;<?php echo $json->data->event->venue; ?></span><?php } ?>
						<br />
						<span><i class="fa fa-calendar"></i>&nbsp;&nbsp;<?php
							echo date("dS M Y", strtotime($json->data->event->start));
							if( strtotime($json->data->event->start) != strtotime($json->data->event->end) ) {
								echo " to " . date("dS M Y", strtotime($json->data->event->end));
							}
						?></span>
					</div>
					<div>
						<?php echo $json->data->event->ad; ?>
					</div>
				</div>
				<div class="col-md-4 col-sm-12 col-xs-12">
					<img src="http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/587f27e68d682900040d7215/93fd0b41-b52c-4051-ac32-f5b463714da6_bg-cniv-2017.png" alt="Test 3" class="img-responsive">
				</div>
			</div>
		</header>
		<div class="page-content">
			<table class="table table-striped">
				<thead>
					<tr>
						<th>&nbsp;</th>
						<th>Date &amp; Time</th>
						<th>Presentation Name</th>
						<th>&nbsp;</th>
						<th>Speaker</th>
						<th>Conference Room</th>
					</tr>
				</thead>
				<tbody>
					<?php foreach($json->data->presentations as $presentation) { ?>
						<tr>
							<td>
								<a href="https://manager.e-slides.net/event/<?php echo $presentation->event_id; ?>/<?php echo $presentation->_id; ?>">
									<img
										src="<?php echo $presentation->thumbnails[0]->id; ?>"
										alt="<?php echo $presentation->name; ?>"
										title="<?php echo $presentation->name; ?>"
										style="max-width: 160px;">
								</a>
							</td>
							<td><?php echo date("dS M Y", strtotime($presentation->date)) . " " . $presentation->time; ?></td>
							<td><?php echo $presentation->name; ?></td>
							<td>
								<img
									src="<?php echo $presentation->speaker_info->picture; ?>"
									alt="<?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?>"
									title="<?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?>"
									style="max-width: 100px;" />
							</td>
							<td><?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?></td>
							<td><?php echo $presentation->room_info->name ?></td>
							<!-- <td><pre><?php print_r($presentation); ?></pre></td> -->
						</tr>
					<?php } ?>
				</tbody>
			</table>
		<?php
	}
?>
</section>
